Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotopes_verif_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotopes_verif_mod.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotopes_verif_mod.F90	(revision 5117)
@@ -13,15 +13,15 @@
 
 ! variables de vérifications
-real errmax ! erreur maximale en absolu.
+REAL errmax ! erreur maximale en absolu.
 parameter (errmax=1e-8)
-real errmax_sol ! erreur maximale en absolu.
+REAL errmax_sol ! erreur maximale en absolu.
 parameter (errmax_sol=5e-7)
-      real errmaxrel ! erreur maximale en relatif autorisée
+      REAL errmaxrel ! erreur maximale en relatif autorisée
 !      parameter (errmaxrel=1e10)
       parameter (errmaxrel=1e-3)
-      real borne ! valeur maximale que n'importe quelle variable peut
+      REAL borne ! valeur maximale que n'importe quelle variable peut
                  ! atteindre, en val abs; utile pour vérif que pas NAN
       parameter (borne=1e19)
-      real, save ::  deltalim ! deltalim est le maximum de deltaD qu'on
+      REAL, save ::  deltalim ! deltalim est le maximum de deltaD qu'on
                              ! autorise dans la vapeur, au-dela, en suppose que c'est abérrant.
                              ! dans le liquide, on autorise deltalim*faccond.
@@ -31,21 +31,21 @@
        ! maintenant défini dans iso.def
 
-       real, save :: deltalimtrac ! max de deltaD dans les traceurs, défini dans iso.def
+       REAL, save :: deltalimtrac ! max de deltaD dans les traceurs, défini dans iso.def
 !$OMP THREADPRIVATE(deltalimtrac)
 
-      real, save ::  deltalim_snow ! deltalim est le maximum de deltaD qu'on
+      REAL, save ::  deltalim_snow ! deltalim est le maximum de deltaD qu'on
                              ! autorise dans la neige, au-dela, en suppose que c'est abérrant.
 !$OMP THREADPRIVATE(deltalim_snow)
 !      parameter (deltalim_snow=500.0) ! initalisé dans iso_init
 
-	real, save ::  deltaDmin
+	REAL, save ::  deltaDmin
 !$OMP THREADPRIVATE(deltaDmin)
 !	parameter (deltaDmin=-900.0)
     ! maintentant, défini dans iso.def
 
-      real, save ::  o17excess_bas,o17excess_haut ! bornes inf et sup de l'O17-excess
+      REAL, save ::  o17excess_bas,o17excess_haut ! bornes inf et sup de l'O17-excess
 !      parameter(o17excess_bas=-200.0,o17excess_haut=120)
 !$OMP THREADPRIVATE(o17excess_bas,o17excess_haut)
-      integer nlevmaxO17
+      INTEGER nlevmaxO17
 !$OMP THREADPRIVATE(nlevmaxO17)
 
@@ -54,11 +54,11 @@
 !      parameter (O17_verif=.TRUE.)
 
-	real, save ::  dexcess_min,dexcess_max
+	REAL, save ::  dexcess_min,dexcess_max
 !$OMP THREADPRIVATE(dexcess_min,dexcess_max)
 
-      real faccond  ! dans le liquide, on autorise R(deltalim)*faccond.
+      REAL faccond  ! dans le liquide, on autorise R(deltalim)*faccond.
       parameter (faccond=1.1)
       
-!      logical bidouille_anti_divergence ! si true, alors on fait un
+!      LOGICAL bidouille_anti_divergence ! si true, alors on fait un
 !                                        ! rappel régulier des xt4 vers les q pour 
 !                                        !éviter accumulation d'érreurs et  divergences
@@ -72,5 +72,5 @@
         ! cette vapeur donne des deltaDevap aberrants.
         parameter (deltaDfaible=-300)
-        real deltaDfaible_lax ! deltaD en dessous duquel la vapeur est tellement faible 
+        REAL deltaDfaible_lax ! deltaD en dessous duquel la vapeur est tellement faible
         !que on peut accepter que la remise à l'équilibre du sol avec 
         ! cette vapeur donne des deltaDevap aberrants.
@@ -93,6 +93,6 @@
 
         SUBROUTINE iso_verif_init()
-        use lmdz_ioipsl_getin_p, ONLY: getin_p
-        use isotopes_mod, ONLY: iso_O17, iso_O18, iso_HDO
+        USE lmdz_ioipsl_getin_p, ONLY: getin_p
+        USE isotopes_mod, ONLY: iso_O17, iso_O18, iso_HDO
         IMPLICIT NONE
 
@@ -114,5 +114,5 @@
 
 WRITE(*,*) 'iso_O17,iso_O18,iso_HDO=',iso_O17,iso_O18,iso_HDO
-IF ((iso_O17.gt.0).and.(iso_O18.gt.0)) THEN
+IF ((iso_O17.gt.0).AND.(iso_O18.gt.0)) THEN
   CALL getin_p('O17_verif',O17_verif)
   CALL getin_p('o17excess_bas',o17excess_bas)
@@ -120,5 +120,5 @@
   CALL getin_p('nlevmaxO17',nlevmaxO17)
 END IF
-IF ((iso_HDO.gt.0).and.(iso_O18.gt.0)) THEN
+IF ((iso_HDO.gt.0).AND.(iso_O18.gt.0)) THEN
   CALL getin_p('dexcess_min',dexcess_min)
   CALL getin_p('dexcess_max',dexcess_max)
@@ -142,5 +142,5 @@
 
         ! input:
-        real a, b
+        REAL a, b
         character*(*) err_msg ! message d''erreur à afficher
 
@@ -149,6 +149,6 @@
 
 
-        if (iso_verif_egalite_choix_nostop(a,b,err_msg, &
-                 errmax,errmaxrel).eq.1) THEN
+        IF (iso_verif_egalite_choix_nostop(a,b,err_msg, &
+                 errmax,errmaxrel).EQ.1) THEN
                 stop
         endif
@@ -171,8 +171,8 @@
 
         ! input:
-        real a, b
+        REAL a, b
         character*(*) err_msg ! message d''erreur à afficher
         !ouptut
-        integer iso_verif_egalite_nostop
+        INTEGER iso_verif_egalite_nostop
         ! local 
         !integer iso_verif_egalite_choix_nostop
@@ -196,5 +196,5 @@
 
         SUBROUTINE iso_verif_aberrant(R,err_msg)
-        use isotopes_mod, ONLY: ridicule, iso_HDO
+        USE isotopes_mod, ONLY: ridicule, iso_HDO
         IMPLICIT NONE
         ! si le rapprot iso R est plus grand que deltaDlim, on affiche message
@@ -202,5 +202,5 @@
 
         ! input:
-        real R
+        REAL R
         character*(*) err_msg ! message d''erreur à afficher
         !real deltaD
@@ -208,11 +208,11 @@
 
 
-        if (iso_verif_aberrant_choix_nostop(R,1.0,ridicule, &
-                 deltalim,err_msg).eq.1) THEN
+        IF (iso_verif_aberrant_choix_nostop(R,1.0,ridicule, &
+                 deltalim,err_msg).EQ.1) THEN
              stop
         endif 
 
 #ifdef ISOVERIF
-        if (.not.(iso_HDO.gt.0)) THEN
+        IF (.NOT.(iso_HDO.gt.0)) THEN
          WRITE(*,*) 'iso86: err_msg=',err_msg,': pourquoi verif?'
           stop
@@ -226,5 +226,5 @@
 
         SUBROUTINE iso_verif_aberrant_encadre(R,err_msg)
-        use isotopes_mod, ONLY: ridicule, iso_HDO
+        USE isotopes_mod, ONLY: ridicule, iso_HDO
         IMPLICIT NONE
         ! si le rapprot iso R est plus grand que deltaDlim, on affiche message
@@ -232,5 +232,5 @@
 
         ! input:
-        real R
+        REAL R
         character*(*) err_msg ! message d''erreur à afficher
         !real deltaD
@@ -239,6 +239,6 @@
 
 
-        if (iso_verif_aberrant_enc_choix_nostop(R,1.0,ridicule, &
-                 deltalim,err_msg).eq.1) THEN
+        IF (iso_verif_aberrant_enc_choix_nostop(R,1.0,ridicule, &
+                 deltalim,err_msg).EQ.1) THEN
              WRITE(*,*) 'deltaD=',deltaD(R)
              CALL abort_physic('isotopes_verif_mod > iso_verif_aberrant_encadre',err_msg,1)
@@ -247,5 +247,5 @@
 
 #ifdef ISOVERIF
-        if (.not.(iso_HDO.gt.0)) THEN
+        IF (.NOT.(iso_HDO.gt.0)) THEN
          WRITE(*,*) 'iso86: err_msg=',err_msg,': pourquoi verif?'
           stop
@@ -261,5 +261,5 @@
 
         SUBROUTINE iso_verif_aberrant_choix(xt,q,qmin,deltaDmax,err_msg)
-        use isotopes_mod, ONLY: iso_HDO
+        USE isotopes_mod, ONLY: iso_HDO
         IMPLICIT NONE
         ! si le rapprot iso R est plus grand que deltaDlim, on affiche message
@@ -267,5 +267,5 @@
 
         ! input:
-        real xt,q,qmin,deltaDmax
+        REAL xt,q,qmin,deltaDmax
         character*(*) err_msg ! message d''erreur à afficher
         !real deltaD
@@ -275,11 +275,11 @@
 
 
-        if (iso_verif_aberrant_choix_nostop(xt,q,qmin, &
-                 deltaDmax,err_msg).eq.1) THEN
+        IF (iso_verif_aberrant_choix_nostop(xt,q,qmin, &
+                 deltaDmax,err_msg).EQ.1) THEN
              stop
         endif
 
 #ifdef ISOVERIF
-        if (.not.(iso_HDO.gt.0)) THEN
+        IF (.NOT.(iso_HDO.gt.0)) THEN
          WRITE(*,*) 'iso122: err_msg=',err_msg,': pourquoi verif?'
           stop
@@ -295,5 +295,5 @@
 
         function iso_verif_aberrant_nostop(R,err_msg)
-        use isotopes_mod, ONLY: ridicule,iso_HDO
+        USE isotopes_mod, ONLY: ridicule,iso_HDO
         IMPLICIT NONE
         ! si le rapprot iso R est plus grand que deltaDlim, on affiche message
@@ -301,7 +301,7 @@
 
         ! input:
-        real R
-        character*(*) err_msg ! message d''erreur à afficher
-        integer iso_verif_aberrant_nostop ! output: 1 si erreur, 0 sinon
+        REAL R
+        character*(*) err_msg ! message d''erreur à afficher
+        INTEGER iso_verif_aberrant_nostop ! output: 1 si erreur, 0 sinon
         !real deltaD
 
@@ -313,5 +313,5 @@
 
 #ifdef ISOVERIF
-        if (.not.(iso_HDO.gt.0)) THEN
+        IF (.NOT.(iso_HDO.gt.0)) THEN
          WRITE(*,*) 'iso156: err_msg=',err_msg,': pourquoi verif?'
           stop
@@ -326,5 +326,5 @@
 
         function iso_verif_aberrant_enc_nostop(R,err_msg)
-        use isotopes_mod, ONLY: ridicule,iso_HDO
+        USE isotopes_mod, ONLY: ridicule,iso_HDO
         IMPLICIT NONE
         ! si le rapprot iso R est plus grand que deltaDlim, on affiche message
@@ -332,7 +332,7 @@
 
         ! input:
-        real R
-        character*(*) err_msg ! message d''erreur à afficher
-        integer iso_verif_aberrant_enc_nostop ! output: 1 si erreur, 0 sinon
+        REAL R
+        character*(*) err_msg ! message d''erreur à afficher
+        INTEGER iso_verif_aberrant_enc_nostop ! output: 1 si erreur, 0 sinon
         !real deltaD
 
@@ -345,5 +345,5 @@
 
 #ifdef ISOVERIF
-        if (.not.(iso_HDO.gt.0)) THEN
+        IF (.NOT.(iso_HDO.gt.0)) THEN
          WRITE(*,*) 'iso156: err_msg=',err_msg,': pourquoi verif?'
           stop
@@ -361,5 +361,5 @@
                   qmin,deltaDmax,err_msg)
 
-        use isotopes_mod, ONLY: iso_HDO
+        USE isotopes_mod, ONLY: iso_HDO
         IMPLICIT NONE
         ! si le rapprot iso R est plus grand que deltaDlim, on affiche message
@@ -367,8 +367,8 @@
 
         ! input:
-        real xt,q,qmin,deltaDmax
+        REAL xt,q,qmin,deltaDmax
         character*(*) err_msg ! message d''erreur à afficher
         ! output
-        integer iso_verif_aberrant_choix_nostop
+        INTEGER iso_verif_aberrant_choix_nostop
         ! locals
         !real deltaD
@@ -379,9 +379,9 @@
 
 #ifdef ISOVERIF        
-        if (iso_verif_noNaN_nostop(q,err_msg).eq.1) THEN
+        IF (iso_verif_noNaN_nostop(q,err_msg).EQ.1) THEN
             WRITE(*,*) 'q=',q
             iso_verif_aberrant_choix_nostop=1
         endif      
-        if (iso_verif_noNaN_nostop(xt,err_msg).eq.1) THEN
+        IF (iso_verif_noNaN_nostop(xt,err_msg).EQ.1) THEN
             WRITE(*,*) 'xt=',xt
             iso_verif_aberrant_choix_nostop=1
@@ -389,8 +389,8 @@
 #endif
 
-        if (q.gt.qmin) THEN
-        if ((deltaD(xt/q).gt.deltaDmax).or. &
-                (deltaD(xt/q).lt.-borne).or. &
-                (xt.lt.-borne).or. &
+        IF (q.gt.qmin) THEN
+        IF ((deltaD(xt/q).gt.deltaDmax).OR. &
+                (deltaD(xt/q).lt.-borne).OR. &
+                (xt.lt.-borne).OR. &
                 (xt.gt.borne)) THEN
             WRITE(*,*) 'erreur detectee par '// &
@@ -400,5 +400,5 @@
             WRITE(*,*) 'deltaDmax=',deltaDmax
             iso_verif_aberrant_choix_nostop=1
-            if (abs(xt-q)/q.lt.errmax) THEN
+            IF (abs(xt-q)/q.lt.errmax) THEN
                 WRITE(*,*) 'attention, n''a-t-on pas confondu'// &
                  ' iso_HDO et iso_eau dans l''appel à la verif?'
@@ -408,5 +408,5 @@
 
 #ifdef ISOVERIF
-        if (.not.(iso_HDO.gt.0)) THEN
+        IF (.NOT.(iso_HDO.gt.0)) THEN
          WRITE(*,*) 'iso205: err_msg=',err_msg,': pourquoi verif?'
           stop
@@ -422,5 +422,5 @@
         function iso_verif_aberrant_enc_choix_nostop(xt,q,   &
                   qmin,deltaDmax,err_msg)
-        use isotopes_mod, ONLY: iso_HDO
+        USE isotopes_mod, ONLY: iso_HDO
         IMPLICIT NONE
         ! si le rapprot iso R est plus grand que deltaDlim, on affiche message
@@ -428,14 +428,14 @@
 
         ! input:
-        real xt,q,qmin,deltaDmax
+        REAL xt,q,qmin,deltaDmax
         character*(*) err_msg ! message d''erreur à afficher
         ! output
-        integer iso_verif_aberrant_enc_choix_nostop
+        INTEGER iso_verif_aberrant_enc_choix_nostop
         ! locals
         !real deltaD
 
         iso_verif_aberrant_enc_choix_nostop=0
-        if (q.gt.qmin) THEN
-        if ((deltaD(xt/q).gt.deltaDmax).or. &
+        IF (q.gt.qmin) THEN
+        IF ((deltaD(xt/q).gt.deltaDmax).OR. &
                 (deltaD(xt/q).lt.deltaDmin)) THEN
             WRITE(*,*) 'erreur detectee par '// &
@@ -444,5 +444,5 @@
             WRITE(*,*) 'q,deltaD=',q,deltaD(xt/q)
             iso_verif_aberrant_enc_choix_nostop=1
-            if (abs(xt-q)/q.lt.errmax) THEN
+            IF (abs(xt-q)/q.lt.errmax) THEN
                 WRITE(*,*) 'attention, n''a-t-on pas confondu'// &
                  ' iso_HDO et iso_eau dans l''appel à la verif?'
@@ -452,5 +452,5 @@
 
 #ifdef ISOVERIF
-        if (.not.(iso_HDO.gt.0)) THEN
+        IF (.NOT.(iso_HDO.gt.0)) THEN
          WRITE(*,*) 'iso205: err_msg=',err_msg,': pourquoi verif?'
           stop
@@ -472,5 +472,5 @@
 
         ! input:
-        real R17,R18
+        REAL R17,R18
         character*(*) err_msg ! message d''erreur à afficher
         !real o17excess
@@ -480,7 +480,7 @@
 
 !        WRITE(*,*) 'O17_verif=',O17_verif
-        if (O17_verif) THEN
-            if (iso_verif_aberrant_o17_nostop(R17,R18,err_msg) &
-                 .eq.1) THEN
+        IF (O17_verif) THEN
+            IF (iso_verif_aberrant_o17_nostop(R17,R18,err_msg) &
+                 .EQ.1) THEN
                 stop
             endif
@@ -504,14 +504,14 @@
 
         ! input:
-        real R17,R18
+        REAL R17,R18
         character*(*) err_msg ! message d''erreur à afficher
         !local
         !real o17excess
         ! output
-        integer iso_verif_aberrant_o17_nostop
-
-        if (O17_verif) THEN
+        INTEGER iso_verif_aberrant_o17_nostop
+
+        IF (O17_verif) THEN
         iso_verif_aberrant_o17_nostop=0
-        if ((o17excess(R17,R18).gt.o17excess_haut).or. &
+        IF ((o17excess(R17,R18).gt.o17excess_haut).OR. &
                   (o17excess(R17,R18).lt.o17excess_bas)) THEN
             WRITE(*,*) 'erreur detectee par iso_verif_aberrant_O17:'
@@ -543,5 +543,5 @@
 
         ! input:
-        real x
+        REAL x
         character*(*) err_msg ! message d''erreur à afficher
 
@@ -549,5 +549,5 @@
         !integer iso_verif_noNAN_nostop
 
-        if (iso_verif_noNAN_nostop(x,err_msg).eq.1) THEN
+        IF (iso_verif_noNAN_nostop(x,err_msg).EQ.1) THEN
             stop
         endif
@@ -568,11 +568,11 @@
 
         ! input:
-        real x
+        REAL x
         character*(*) err_msg ! message d''erreur à afficher
 
         ! output 
-        integer iso_verif_noNAN_nostop
-
-        if ((x.gt.-borne).and.(x.lt.borne)) THEN
+        INTEGER iso_verif_noNAN_nostop
+
+        IF ((x.gt.-borne).AND.(x.lt.borne)) THEN
                 iso_verif_noNAN_nostop=0
         else
@@ -598,6 +598,6 @@
 
         ! input:
-          integer n,m,ni
-        real x(ni,n,m)
+          INTEGER n,m,ni
+        REAL x(ni,n,m)
         character*(*) err_msg ! message d''erreur à afficher
 
@@ -605,17 +605,17 @@
 
         ! locals        
-        integer i,j,ixt
+        INTEGER i,j,ixt
 
       do i=1,n
        do j=1,m
         do ixt=1,ni
-         if ((x(ixt,i,j).gt.-borne).and. &
+         IF ((x(ixt,i,j).gt.-borne).AND. &
                   (x(ixt,i,j).lt.borne)) THEN
-         else !if ((x(ixt,i,j).gt.-borne).and.
+         else !if ((x(ixt,i,j).gt.-borne).AND.
             WRITE(*,*) 'erreur detectee par iso_verif_nonNAN:'
             WRITE(*,*) err_msg
             WRITE(*,*) 'x,ixt,i,j=',x(ixt,i,j),ixt,i,j
             stop
-         endif  !if ((x(ixt,i,j).gt.-borne).and.
+         endif  !if ((x(ixt,i,j).gt.-borne).AND.
         enddo !do ixt=1,ni
        enddo !do j=1,m
@@ -637,6 +637,6 @@
 
         ! input:
-          integer n,ni
-        real x(ni,n)
+          INTEGER n,ni
+        REAL x(ni,n)
         character*(*) err_msg ! message d''erreur à afficher
 
@@ -644,16 +644,16 @@
 
         ! locals        
-        integer i,ixt
+        INTEGER i,ixt
 
       do i=1,n
         do ixt=1,ni
-         if ((x(ixt,i).gt.-borne).and. &
+         IF ((x(ixt,i).gt.-borne).AND. &
                   (x(ixt,i).lt.borne)) THEN
-         else !if ((x(ixt,i,j).gt.-borne).and.
+         else !if ((x(ixt,i,j).gt.-borne).AND.
             WRITE(*,*) 'erreur detectee par iso_verif_nonNAN:'
             WRITE(*,*) err_msg
             WRITE(*,*) 'x,ixt,i=',x(ixt,i),ixt,i
             stop
-         endif  !if ((x(ixt,i,j).gt.-borne).and.
+         endif  !if ((x(ixt,i,j).gt.-borne).AND.
         enddo !do ixt=1,ni
       enddo !do i=1,n     
@@ -677,6 +677,6 @@
 
         ! input:
-        real a, b
-        real erabs,errel !erreur absolue et relative
+        REAL a, b
+        REAL erabs,errel !erreur absolue et relative
         character*(*) err_msg ! message d''erreur à afficher
 
@@ -684,6 +684,6 @@
         !integer iso_verif_egalite_choix_nostop
 
-        if (iso_verif_egalite_choix_nostop( &
-                  a,b,err_msg,erabs,errel).eq.1) THEN
+        IF (iso_verif_egalite_choix_nostop( &
+                  a,b,err_msg,erabs,errel).EQ.1) THEN
            stop
         endif
@@ -706,10 +706,10 @@
 
         ! input:
-        real a, b
-        real erabs,errel !erreur absolue et relative
+        REAL a, b
+        REAL erabs,errel !erreur absolue et relative
         character*(*) err_msg ! message d''erreur à afficher
 
         ! output
-        integer iso_verif_egalite_choix_nostop
+        INTEGER iso_verif_egalite_choix_nostop
         ! locals
         !integer iso_verif_noNaN_nostop
@@ -718,9 +718,9 @@
 
 #ifdef ISOVERIF
-        if (iso_verif_noNaN_nostop(a,err_msg).eq.1) THEN
+        IF (iso_verif_noNaN_nostop(a,err_msg).EQ.1) THEN
             WRITE(*,*) 'a=',a
             iso_verif_egalite_choix_nostop=1
         endif      
-        if (iso_verif_noNaN_nostop(b,err_msg).eq.1) THEN
+        IF (iso_verif_noNaN_nostop(b,err_msg).EQ.1) THEN
             WRITE(*,*) 'b=',b
             iso_verif_egalite_choix_nostop=1
@@ -728,6 +728,6 @@
 #endif
 
-        if (abs(a-b).gt.erabs) THEN
-          if (abs((a-b)/max(max(abs(b),abs(a)),1e-18)) &
+        IF (abs(a-b).gt.erabs) THEN
+          IF (abs((a-b)/max(max(abs(b),abs(a)),1e-18)) &
                   .gt.errel) THEN
             WRITE(*,*) 'erreur detectee par iso_verif_egalite:'
@@ -754,5 +754,5 @@
         !******************
         SUBROUTINE iso_verif_positif(x,err_msg)
-        use isotopes_mod, ONLY: ridicule
+        USE isotopes_mod, ONLY: ridicule
         IMPLICIT NONE
         ! si x<0, on plante.
@@ -760,5 +760,5 @@
 
         ! input:
-        real x
+        REAL x
         character*(*) err_msg ! message d''erreur à afficher
 
@@ -766,6 +766,6 @@
         !integer iso_verif_positif_choix_nostop
 
-        if (iso_verif_positif_choix_nostop(x,ridicule,err_msg) &
-                 .eq.1) THEN
+        IF (iso_verif_positif_choix_nostop(x,ridicule,err_msg) &
+                 .EQ.1) THEN
            stop
         endif
@@ -782,26 +782,26 @@
         !******************
         SUBROUTINE iso_verif_positif_vect(x,n,err_msg)
-        use isotopes_mod, ONLY: ridicule
+        USE isotopes_mod, ONLY: ridicule
         IMPLICIT NONE
         ! si x<0, on plante.
 
         ! input:
-        integer n
-        real x(n)
-        character*(*) err_msg ! message d''erreur à afficher
-
-        ! locals
-        integer i
-        integer iso_verif_positif_nostop
-        integer ifaux
+        INTEGER n
+        REAL x(n)
+        character*(*) err_msg ! message d''erreur à afficher
+
+        ! locals
+        INTEGER i
+        INTEGER iso_verif_positif_nostop
+        INTEGER ifaux
 
         iso_verif_positif_nostop=0
         do i=1,n
-          if (x(i).lt.-ridicule) THEN
+          IF (x(i).lt.-ridicule) THEN
             iso_verif_positif_nostop=1
             ifaux=i
           endif
         enddo 
-        if (iso_verif_positif_nostop.eq.1) THEN
+        IF (iso_verif_positif_nostop.EQ.1) THEN
           WRITE(*,*) 'erreur detectee par iso_verif_positif_vect:'
           WRITE(*,*) err_msg
@@ -817,21 +817,21 @@
 
         ! input:
-        integer n
-        real x(n)
-        real ridic
+        INTEGER n
+        REAL x(n)
+        REAL ridic
         character*(*) err_msg ! message d''erreur à afficher
         ! locals 
-        integer i
-        integer iso_verif_positif_nostop
-        integer ifaux
+        INTEGER i
+        INTEGER iso_verif_positif_nostop
+        INTEGER ifaux
 
         iso_verif_positif_nostop=0
         do i=1,n
-          if (x(i).lt.-ridic) THEN
+          IF (x(i).lt.-ridic) THEN
                 iso_verif_positif_nostop=1
                 ifaux=i
           endif
         enddo 
-        if (iso_verif_positif_nostop.eq.1) THEN
+        IF (iso_verif_positif_nostop.EQ.1) THEN
          WRITE(*,*) 'erreur detectee par iso_verif_positif_choix_vect:'
          WRITE(*,*) err_msg
@@ -850,5 +850,5 @@
 
         ! input:
-        real x
+        REAL x
         character*(*) err_msg ! message d''erreur à afficher
 
@@ -856,6 +856,6 @@
         !integer iso_verif_positif_strict_nostop
 
-        if (iso_verif_positif_strict_nostop(x,err_msg) &
-                 .eq.1) THEN
+        IF (iso_verif_positif_strict_nostop(x,err_msg) &
+                 .EQ.1) THEN
            stop
         endif            
@@ -871,11 +871,11 @@
 
         ! input:
-        real x
+        REAL x
         character*(*) err_msg ! message d''erreur à afficher*
 
         ! output
-        integer iso_verif_positif_strict_nostop
-
-        if (x.gt.0.0) THEN
+        INTEGER iso_verif_positif_strict_nostop
+
+        IF (x.gt.0.0) THEN
             iso_verif_positif_strict_nostop=0
         else     
@@ -898,6 +898,6 @@
 
         ! input:
-        real x
-        real ridic
+        REAL x
+        REAL ridic
         character*(*) err_msg ! message d''erreur à afficher
 
@@ -905,6 +905,6 @@
         !integer iso_verif_positif_choix_nostop
 
-        if (iso_verif_positif_choix_nostop(x,ridic,err_msg) &
-                 .eq.1) THEN
+        IF (iso_verif_positif_choix_nostop(x,ridic,err_msg) &
+                 .EQ.1) THEN
            stop
         endif
@@ -921,5 +921,5 @@
         !******************
         function iso_verif_positif_nostop(x,err_msg)
-        use isotopes_mod, ONLY: ridicule
+        USE isotopes_mod, ONLY: ridicule
         IMPLICIT NONE
         ! si x<0, on plante.
@@ -927,9 +927,9 @@
 
         ! input:
-        real x
+        REAL x
         character*(*) err_msg ! message d''erreur à afficher
 
         ! output
-        integer iso_verif_positif_nostop
+        INTEGER iso_verif_positif_nostop
 
         ! locals
@@ -957,12 +957,12 @@
 
         ! input:
-        real x
-        real ridic
+        REAL x
+        REAL ridic
         character*(*) err_msg ! message d''erreur à afficher
 
         ! output
-        integer iso_verif_positif_choix_nostop
-
-        if (x.lt.-ridic) THEN
+        INTEGER iso_verif_positif_choix_nostop
+
+        IF (x.lt.-ridic) THEN
             WRITE(*,*) 'erreur detectee par iso_verif_positif_nostop:'
             WRITE(*,*) err_msg
@@ -995,5 +995,5 @@
         ! 2) dexcess dans bonne gamme
         ! input:
-        real Rd,Ro
+        REAL Rd,Ro
         character*(*) err_msg ! message d''erreur à afficher
 
@@ -1001,5 +1001,5 @@
         !integer iso_verif_O18_aberrant_nostop
 
-        if (iso_verif_O18_aberrant_nostop(Rd,Ro,err_msg).eq.1) THEN
+        IF (iso_verif_O18_aberrant_nostop(Rd,Ro,err_msg).EQ.1) THEN
             stop
         endif
@@ -1016,12 +1016,12 @@
 
         ! input:
-        real Rd,Ro
+        REAL Rd,Ro
         character*(*) err_msg ! message d''erreur à afficher
 
         ! outputs
-        integer iso_verif_O18_aberrant_nostop
+        INTEGER iso_verif_O18_aberrant_nostop
 
         !locals
-        real deltaD,deltao,dexcess
+        REAL deltaD,deltao,dexcess
 
         deltaD=(Rd/tnat(iso_hdo)-1)*1000
@@ -1030,8 +1030,8 @@
 
         iso_verif_O18_aberrant_nostop=0
-        if ((deltaD.lt.deltaDmin).or.(deltao.lt.deltaDmin/2.0).or. &
-              (deltaD.gt.deltalim).or.(deltao.gt.deltalim/8.0).or. &
-              ((deltaD.gt.-500.0).and.((dexcess.lt.dexcess_min) &
-              .or.(dexcess.gt.dexcess_max)))) THEN
+        IF ((deltaD.lt.deltaDmin).OR.(deltao.lt.deltaDmin/2.0).OR. &
+              (deltaD.gt.deltalim).OR.(deltao.gt.deltalim/8.0).OR. &
+              ((deltaD.gt.-500.0).AND.((dexcess.lt.dexcess_min) &
+              .OR.(dexcess.gt.dexcess_max)))) THEN
             WRITE(*,*) 'erreur detectee par iso_verif_O18_aberrant:'
             WRITE(*,*) err_msg
@@ -1058,8 +1058,8 @@
         USE isotopes_mod, ONLY: tnat,iso_HDO
         IMPLICIT NONE
-        real R,deltaD
-
-        
-        if (iso_HDO.gt.0) THEN
+        REAL R,deltaD
+
+        
+        IF (iso_HDO.gt.0) THEN
            deltaD=(R/tnat(iso_HDO)-1)*1000.0
         else
@@ -1074,7 +1074,7 @@
         USE isotopes_mod, ONLY: tnat,iso_O18
         IMPLICIT NONE
-        real R,deltaO
-        
-        if (iso_O18.gt.0) THEN
+        REAL R,deltaO
+        
+        IF (iso_O18.gt.0) THEN
            deltaO=(R/tnat(iso_O18)-1)*1000.0
         else
@@ -1089,7 +1089,7 @@
         USE isotopes_mod, ONLY: tnat,iso_O18,iso_HDO
         IMPLICIT NONE
-        real RD,RO,deltaD,deltaO,dexcess
-        
-        if ((iso_O18.gt.0).and.(iso_HDO.gt.0)) THEN
+        REAL RD,RO,deltaD,deltaO,dexcess
+        
+        IF ((iso_O18.gt.0).AND.(iso_HDO.gt.0)) THEN
            deltaD=(RD/tnat(iso_HDO)-1)*1000.0
            deltaO=(RO/tnat(iso_O18)-1)*1000.0
@@ -1106,6 +1106,6 @@
         USE isotopes_mod, ONLY: tnat
         IMPLICIT NONE
-        real R,delta_all
-        integer ixt 
+        REAL R,delta_all
+        INTEGER ixt
         
         delta_all=(R/tnat(ixt)-1)*1000.0
@@ -1117,6 +1117,6 @@
         USE isotopes_mod, ONLY: tnat
         IMPLICIT NONE
-        real delta,delta_to_R
-        integer ixt
+        REAL delta,delta_to_R
+        INTEGER ixt
         
         delta_to_R=(delta/1000.0+1.0)*tnat(ixt)
@@ -1128,7 +1128,7 @@
         USE isotopes_mod, ONLY: tnat,iso_O18,iso_O17
         IMPLICIT NONE
-        real R17,R18,o17excess
-        
-        if ((iso_O17.gt.0).and.(iso_O18.gt.0)) THEN
+        REAL R17,R18,o17excess
+        
+        IF ((iso_O17.gt.0).AND.(iso_O18.gt.0)) THEN
            o17excess=1e6*(log(R17/tnat(iso_o17)) &
                  -0.528*log(R18/tnat(iso_O18)))
@@ -1150,22 +1150,22 @@
 
           ! inputs 
-          integer n,m,ni
-          real q(n,m)
-          real xt(ni,n,m)
+          INTEGER n,m,ni
+          REAL q(n,m)
+          REAL xt(ni,n,m)
           character*(*) err_msg
 
         ! locals
-        integer iso_verif_egalite_nostop_loc
-        integer i,j,ixt
-        integer ifaux,jfaux
+        INTEGER iso_verif_egalite_nostop_loc
+        INTEGER i,j,ixt
+        INTEGER ifaux,jfaux
 
         !WRITE(*,*) 'iso_verif_egalite_vect2D 1099 tmp: q(2,1),xt(iso_eau,2,1)=',q(2,1),xt(iso_eau,2,1)
         !WRITE(*,*) 'ni,n,m=',ni,n,m,errmax,errmaxrel
-        if (iso_eau.gt.0) THEN
+        IF (iso_eau.gt.0) THEN
         iso_verif_egalite_nostop_loc=0
         do i=1,n
          do j=1,m
-          if (abs(q(i,j)-xt(iso_eau,i,j)).gt.errmax) THEN
-           if (abs((q(i,j)-xt(iso_eau,i,j))/ &
+          IF (abs(q(i,j)-xt(iso_eau,i,j)).gt.errmax) THEN
+           IF (abs((q(i,j)-xt(iso_eau,i,j))/ &
                  max(max(abs(q(i,j)),abs(xt(iso_eau,i,j))),1e-18)) &
                  .gt.errmaxrel) THEN
@@ -1178,5 +1178,5 @@
         enddo !do i=1,n
 
-        if (iso_verif_egalite_nostop_loc.eq.1) THEN
+        IF (iso_verif_egalite_nostop_loc.EQ.1) THEN
           WRITE(*,*) 'erreur detectee par iso_verif_egalite_vect2D:'
           WRITE(*,*) err_msg
@@ -1201,19 +1201,19 @@
 
         ! inputs 
-        integer n,ni
-        real q(n)
-        real xt(ni,n)
+        INTEGER n,ni
+        REAL q(n)
+        REAL xt(ni,n)
         character*(*) err_msg
 
         ! locals
-        integer iso_verif_egalite_nostop_loc
-        integer i
-        integer ifaux
-
-        if (iso_eau.gt.0) THEN
+        INTEGER iso_verif_egalite_nostop_loc
+        INTEGER i
+        INTEGER ifaux
+
+        IF (iso_eau.gt.0) THEN
         iso_verif_egalite_nostop_loc=0
         do i=1,n
-          if (abs(q(i)-xt(iso_eau,i)).gt.errmax) THEN
-           if (abs((q(i)-xt(iso_eau,i))/ &
+          IF (abs(q(i)-xt(iso_eau,i)).gt.errmax) THEN
+           IF (abs((q(i)-xt(iso_eau,i))/ &
                  max(max(abs(q(i)),abs(xt(iso_eau,i))),1e-18)) &
                  .gt.errmaxrel) THEN
@@ -1224,5 +1224,5 @@
         enddo !do i=1,n
 
-        if (iso_verif_egalite_nostop_loc.eq.1) THEN
+        IF (iso_verif_egalite_nostop_loc.EQ.1) THEN
           WRITE(*,*) 'erreur detectee par iso_verif_egalite_vect2D:'
           WRITE(*,*) err_msg
@@ -1230,5 +1230,5 @@
           WRITE(*,*) 'xt,q=',xt(iso_eau,ifaux),q(ifaux)
           stop
-        endif  !if (iso_verif_egalite_nostop.eq.1) THEN
+        endif  !if (iso_verif_egalite_nostop.EQ.1) THEN
         endif !if (iso_eau.gt.0) THEN
         END SUBROUTINE  iso_verif_egalite_vect1D
@@ -1240,20 +1240,20 @@
 
           ! inputs 
-          integer n,m,ni
-          real a(n,m)
-          real b(n,m)
+          INTEGER n,m,ni
+          REAL a(n,m)
+          REAL b(n,m)
           character*(*) err_msg
-          real errmax,errmaxrel
-
-        ! locals
-        integer iso_verif_egalite_nostop_loc
-        integer i,j
-        integer ifaux,jfaux
+          REAL errmax,errmaxrel
+
+        ! locals
+        INTEGER iso_verif_egalite_nostop_loc
+        INTEGER i,j
+        INTEGER ifaux,jfaux
 
         iso_verif_egalite_nostop_loc=0
         do i=1,n
          do j=1,m
-          if (abs(a(i,j)-b(i,j)).gt.errmax) THEN
-           if (abs((a(i,j)-b(i,j))/ &
+          IF (abs(a(i,j)-b(i,j)).gt.errmax) THEN
+           IF (abs((a(i,j)-b(i,j))/ &
                  max(max(abs(a(i,j)),abs(b(i,j))),1e-18)) &
                  .gt.errmaxrel) THEN
@@ -1266,5 +1266,5 @@
         enddo !do i=1,n
 
-        if (iso_verif_egalite_nostop_loc.eq.1) THEN
+        IF (iso_verif_egalite_nostop_loc.EQ.1) THEN
           WRITE(*,*) 'erreur detectee par iso_verif_egalite_vect2D:'
           WRITE(*,*) err_msg
@@ -1279,26 +1279,26 @@
         SUBROUTINE iso_verif_aberrant_vect2D( &
                  xt,q,err_msg,ni,n,m)
-        use isotopes_mod, ONLY: ridicule,tnat,iso_HDO
+        USE isotopes_mod, ONLY: ridicule,tnat,iso_HDO
           IMPLICIT NONE
 
           ! inputs   
-          integer n,m,ni
-          real q(n,m)
-          real xt(ni,n,m)
+          INTEGER n,m,ni
+          REAL q(n,m)
+          REAL xt(ni,n,m)
           character*(*) err_msg
 
         ! locals
-        integer iso_verif_aberrant_nostop_loc
-        integer i,j
-        integer ifaux,jfaux
+        INTEGER iso_verif_aberrant_nostop_loc
+        INTEGER i,j
+        INTEGER ifaux,jfaux
         !real deltaD
 
-        if (iso_HDO.gt.0) THEN
+        IF (iso_HDO.gt.0) THEN
         iso_verif_aberrant_nostop_loc=0
         do i=1,n
          do j=1,m
-          if (q(i,j).gt.ridicule) THEN
-            if (((xt(iso_HDO,i,j)/q(i,j)/tnat(iso_HDO)-1)*1000.0 &
-                         .gt.deltalim).or. &
+          IF (q(i,j).gt.ridicule) THEN
+            IF (((xt(iso_HDO,i,j)/q(i,j)/tnat(iso_HDO)-1)*1000.0 &
+                         .gt.deltalim).OR. &
                 ((xt(iso_HDO,i,j)/q(i,j)/tnat(iso_HDO)-1)*1000.0 &
                          .lt.-borne)) THEN
